View Issue Details

IDProjectCategoryView StatusLast Update
0012929LazarusIDEpublic2009-06-13 12:10
ReporterAlexander Staidl Assigned ToMattias Gaertner  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.26 
Fixed in Version0.9.26.2 
Summary0012929: Replace-Dialog (gtk2): "Replace all" crashs if you want to replace many words
DescriptionYou can reproduce the bug very easy. The following instruction seams to be a bit artificial - in reality the bug appears if you have to replace many words.

1. Start lazarus(gtk2).
2. Add the following line in the sourcecode of a new application-project:
//t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t t

3. Press ctrl+R to open the Replace-Dialog. Replace t with for example a, mark "Prompt on replace" and click "Replace All"

4. If you now press ENTER very short-frequented, Lazarus will crash.

Additional InformationLazarus 0.9.26
gtk2
OpenSuSE 11, KDE 4

This bug also appears with Laz Rev 18026

Perhaps the command-line-output will help you:

TApplication.HandleException Access violation
  Stack trace:
  $0825BEC7 GTKWSBITBTN_STATECHANGED, line 108 of /home/mattias/rpm/BUILD/lazarus-0.9.26/lazarus/lcl/interfaces/gtk/gtkwsbuttons.pp
  $B7AB6D2C
  $B7AA9C3B
  $B7ABE1C7
  $B7ABF67E
  $B7ABFAE6
  $B7DE51E0
  $B7DE842C
  $B7BD7BD4
  $B7BD7D2E
  $B7BD8609
  $B7AB72A4
  $B7AA8389
  $B7AA9C3B
  $B7ABDE7F
  $B7ABF67E
  $B7ABFAE6
**
** GLib-GObject:ERROR:(gsignal.c:652):emission_pop: code should not be reached
TagsNo tags attached.
Fixed in Revision18174
LazTarget0.9.28
WidgetsetGTK 2
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-01-06 16:31 Alexander Staidl New Issue
2009-01-06 16:31 Alexander Staidl Widgetset => GTK 2
2009-01-06 18:04 Mattias Gaertner Fixed in Revision => 18174
2009-01-06 18:04 Mattias Gaertner LazTarget => 0.9.28
2009-01-06 18:04 Mattias Gaertner Assigned To => Mattias Gaertner
2009-01-06 18:04 Mattias Gaertner Status new => resolved
2009-01-06 18:04 Mattias Gaertner Resolution open => fixed
2009-03-20 11:04 Vincent Snijders Fixed in Version => 0.9.26.2
2009-06-13 12:10 Marc Weustink Status resolved => closed